Bug 852401 - [abrt] metamorphose2-0.8.2-2.fc17: codecs.py:881:open:IOError: [Errno 2] No such file or directory: u'/home/tsili/.metamorphose2/preferences.ini'
[abrt] metamorphose2-0.8.2-2.fc17: codecs.py:881:open:IOError: [Errno 2] No s...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: metamorphose2 (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
abrt_hash:23803f84b22b455ce6e254c0221...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 07:55 EDT by tsili
Modified: 2012-10-01 08:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-01 08:14:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tsili 2012-08-28 07:55:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/share/metamorphose2/metamorphose2.py
executable:     /usr/share/metamorphose2/metamorphose2.py
kernel:         3.5.1-1.fc17.x86_64
time:           ti 28. elokuuta 2012 14.48.19
uid:            1000
username:       tsili

backtrace:
:codecs.py:881:open:IOError: [Errno 2] No such file or directory: u'/home/tsili/.metamorphose2/preferences.ini'
:
:Traceback (most recent call last):
:  File "/usr/share/metamorphose2/metamorphose2.py", line 85, in <module>
:    main()
:  File "/usr/share/metamorphose2/metamorphose2.py", line 76, in main
:    application = BoaApp(0)
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7981, in __init__
:    self._BootstrapApp()
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7555, in _BootstrapApp
:    return _core_.PyApp__BootstrapApp(*args, **kwargs)
:  File "/usr/share/metamorphose2/metamorphose2.py", line 61, in OnInit
:    self.main = MainWindow.create(None)
:  File "/usr/share/metamorphose2/MainWindow/__init__.py", line 50, in create
:    return MainWindow(parent)
:  File "/usr/share/metamorphose2/MainWindow/__init__.py", line 661, in __init__
:    self.__init_ctrls(prnt)
:  File "/usr/share/metamorphose2/MainWindow/__init__.py", line 417, in __init_ctrls
:    self.bottomWindow = bottomWindow.MainPanel(self.splitter, self)
:  File "/usr/share/metamorphose2/MainWindow/bottomWindow.py", line 286, in __init__
:    self.__init_ctrls(prnt)
:  File "/usr/share/metamorphose2/MainWindow/bottomWindow.py", line 237, in __init_ctrls
:    self.display = ListCtrl(self, -1, size=wx.Size(520, -1))
:  File "/usr/share/metamorphose2/MainWindow/bottomWindow.py", line 52, in __init__
:    self.set_preferences()
:  File "/usr/share/metamorphose2/MainWindow/bottomWindow.py", line 57, in set_preferences
:    self.green.SetBackgroundColour(prefs.get(u'renamedColor'))
:  File "/usr/share/metamorphose2/preferences/__init__.py", line 165, in get
:    self.__load_preferences()
:  File "/usr/share/metamorphose2/preferences/__init__.py", line 92, in __load_preferences
:    prefs = self.__read_file()
:  File "/usr/share/metamorphose2/preferences/__init__.py", line 63, in __read_file
:    prefFile = self.__open_pref_file('r')
:  File "/usr/share/metamorphose2/preferences/__init__.py", line 48, in __open_pref_file
:    prefFile = codecs.open(prefFile, type, 'utf-8')
:  File "/usr/lib64/python2.7/codecs.py", line 881, in open
:    file = __builtin__.open(filename, mode, buffering)
:IOError: [Errno 2] No such file or directory: u'/home/tsili/.metamorphose2/preferences.ini'
:
:Local variables in innermost frame:
:filename: u'/home/tsili/.metamorphose2/preferences.ini'
:mode: 'rb'
:buffering: 1
:errors: 'strict'
:encoding: 'utf-8'

comment:
:installed the program using package manager.
:started program.
:program displays an error and crashes.

smolt_data:
:
:
:General
:=================================
:UUID: 8ab596c7-9aa9-4a63-9fd5-90b95383c71d
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 4983.73
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2920XM CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2501
:System Memory: 32160
:System Swap: 0
:Vendor: Alienware
:System: M18xR1 A05
:Form factor: Portable
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:21001:4136:1167) pci, sdhci-pci, BASE, N/A
:(4332:21001:4136:1167) pci, None, MISC, N/A
:(6505:4227:4136:1167) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(32902:260:4136:1167) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:261:4136:1167) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:257:4136:1167) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:16939:32902:4385) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7202:4136:1167) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:10282:4136:1167) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:7243:4136:1167) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(4147:404:4136:1167) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7213:4136:1167) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1167) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:4136:1167) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4318:3049:4136:1167) pci, snd_hda_intel, MULTIMEDIA, GF106 High Definition Audio Controller
:(4318:3537:4136:1167) pci, nvidia, VIDEO, GF106 [GeForce GTX 460M]
:(32902:7188:4136:1167) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7190:4136:1167) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1167) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7192:4136:1167) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7194:4136:1167) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(4318:3049:4136:1167) pci, snd_hda_intel, MULTIMEDIA, GF106 High Definition Audio Controller
:(4318:3537:4136:1167) pci, nvidia, VIDEO, GF106 [GeForce GTX 460M]
:(32902:7200:4136:1167) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/md126p2 / ext4 4096 4096 5160351 3948614 3896197 1310720 1171401 1171401
:/dev/md126p1 /boot ext2 1024 1024 100148 35942 30771 25896 25538 25538
:/dev/md126p4 /home ext4 4096 4096 171676260 171595664 162875012 43606016 43604855 43604855
:
Comment 1 Pierre-YvesChibon 2012-09-07 18:01:08 EDT
I could not reproduce this bug, can you ?
Could you provide me with steps on how to reproduce it ?
Comment 2 tsili 2012-09-08 02:57:22 EDT
The steps I took were simple install and run.
The program just simply didn't start.

Then I tried to reinstall it and the same happened.

In the end I tried to reinstall everything it depended on and it seems that I had a some sort of corruption in some of the packages sense it did fix the problem.

This was one of the first programs I installed after the OS so it could be that my install disk was not properly written or there was an error in the installation. just speculating though.

Just to summarize I fixed the problem on my computer.
Comment 3 Pierre-YvesChibon 2012-10-01 08:14:50 EDT
Ok Then I'm closing as insufficient data since I cannot reproduce it and re-installing fixed it for you.

If the problem re-occur, we can always re-open the bug.

Thanks for reporting!

Note You need to log in before you can comment on or make changes to this bug.